%bcond_without check

%global upstream_name psqlodbc

Summary: PostgreSQL ODBC driver
Name: postgresql-odbc
Version: 13.01.0000
Release: 7%{?dist}
License: LGPLv2+
URL: https://odbc.postgresql.org/
Source0: http://ftp.postgresql.org/pub/odbc/versions/src/%{upstream_name}-%{version}.tar.gz
Patch3000: postgresql-odbc-09.06.0200-revert-money-fix.patch
Patch3001: postgresql-odbc-09.05.0400-revert-money-testsuite-fix.patch

BuildRequires: make gcc
BuildRequires: unixODBC-devel pkgconfig(libpq)
%if %{with check}
BuildRequires: postgresql-test-rpm-macros
%endif
Provides: %{upstream_name} = %{version}-%{release}

%description
This package provides the driver needed for applications to access a PostgreSQL system via 
ODBC (Open Database Connectivity).

%package tests
Summary: Testsuite files for psqlodbc
Requires: postgresql-test
Requires: %{name} = %{version}-%{release}
Requires: gcc make unixODBC-devel

%description tests
This package provides files needed for various tests for the PostgreSQL unixODBC driver.

%prep
%autosetup -p1 -n %{upstream_name}-%{version}

cat <<EOF >README.rpmdist
The upstream psqlodbc testsuite is distributed in '%{name}-tests'
(sub)package.
EOF

%build
%configure --with-unixodbc --disable-dependency-tracking
%make_build CFLAGS="%{optflags} -fcommon"

%install
%make_install

%global testsuitedir %{_libdir}/%{name}
install -d -m 755 %{buildroot}/%{testsuitedir}
cp -R test %{buildroot}/%{testsuitedir}
sed -i 's~^drvr=.*~drvr=%{_libdir}/psqlodbc~' %{buildroot}/%{testsuitedir}/test/odbcini-gen.sh

# provide "psqlodbc.so" as a symlink
pushd ${RPM_BUILD_ROOT}%{_libdir}
	ln -s psqlodbcw.so psqlodbc.so
	rm psqlodbcw.la psqlodbca.la
popd

%if %{with check}
%check
%postgresql_tests_run

cd test && make installcheck %{_smp_mflags} CFLAGS="%{optflags} -fcommon" || {
	echo "=== trying to find all regression.diffs files in build directory ==="
	find -name regression.diffs | while read line; do
		cat "$line"
	done
	false
}
%endif

%files
%license license.txt
%doc readme.txt docs/* README.rpmdist
%{_libdir}/psqlodbc.so
%{_libdir}/psqlodbca.so
%{_libdir}/psqlodbcw.so

%files tests
%doc license.txt
%dir %{testsuitedir}
%defattr(-,postgres,postgres)
%{testsuitedir}/test


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 13.01.0000-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 13.01.0000-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 13.01.0000-5
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 3 2023 Shuo Wang <abushwang@tencent.com> - 13.01.0000-4
- Rebuilt for libpq 15.3

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 13.01.0000-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 13.01.0000-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Dec 12 2022 Wang Guodong <gordonwwang@tencent.com> - 13.01.0000-1
- package init.
